using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

namespace AutoBroker
{
    public enum AgentDecision
    {
        BuyRapidly,
        BuySlowly,
        Wait,
        SellSlowly,
        SellRapidly
    }

    public enum AgentType
    {
        Buyer,
        Seller,
        Both
    }

    public interface IAgent
    {
        AgentDecision GetDecision(int fixingIndex);
        
        void SetAgentData(AgentType agentType, int fixingIndex);

        long GetUsageCount();

    }
}