
public class PermutationGenerator <returnType>
{
    public delegate void NextPermutFunction(int permutationNum, ref returnType createdPermutation);

    private int currentPerm = -1;

    private returnType currentPermValue = default(returnType);

    private NextPermutFunction permutFunction;

    public PermutationGenerator(NextPermutFunction nextPerm)
    {        
        permutFunction = nextPerm;
    }

    public PermutationGenerator(NextPermutFunction nextPerm, int startPerm)
    {
        permutFunction = nextPerm;
        for (int i = 0; i < startPerm; ++i)
        {
            NextPermutation();
        }
    }

    public returnType GetCurrentPermutation()
    {
        return currentPermValue;
    }

    public void NextPermutation()
    {
        currentPerm++;
        permutFunction(currentPerm, ref currentPermValue);
    }

}