using System;
using System.Collections.Generic;
using System.Text;

namespace AutoBroker
{
    internal static class Utils
    {
        public static string GetPercentStringFromFloat(float value)
        {
            return (value * 100.0f).ToString("F0").PadLeft(3) + "%";
        }

        public static string GetPercentStringWithDetailFromFloat(float value)
        {
            return (value * 100.0f).ToString("F2").PadLeft(6) + "%";
        }

        public static string GetLongStringFromLong(long value)
        {
            return value.ToString().PadLeft(6);
        }
    }
}
