using System;
using System.IO;
using System.Collections.Generic;
using System.Text;

namespace AutoBroker
{
    public class Stocks
    {
        public List<StockInfo> stockInfo = new List<StockInfo>();
        
        public Stocks(string directory)
        {
            if (!Directory.Exists(directory))
            {
                return;
            }
            string [] files = Directory.GetFiles(directory, "*.txt");
            foreach (string file in files)
            {
                stockInfo.Add(new StockInfo(file));
            }
        }
    }
}
